# Generated by Django 4.0.4 on 2022-09-07 12:00

import django.contrib.postgres.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("backend", "0009_auto_20220907_1151"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="transfertmode",
            name="eau_de_surface",
        ),
        migrations.RemoveField(
            model_name="transfertmode",
            name="eau_souterraine",
        ),
        migrations.RemoveField(
            model_name="transfertmode",
            name="eau_souterraine_and_infiltration_ponctuelle",
        ),
        migrations.AddField(
            model_name="cotation",
            name="methodology",
            field=models.CharField(
                choices=[(1, "Methodology 1"), (2, "Methodology 2")],
                default=1,
                max_length=3,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="cotation",
            name="section",
            field=models.CharField(
                blank=True,
                choices=[("ava", "aval"), ("amt", "amont"), ("mid", "milieu")],
                max_length=3,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="parameter",
            name="scope",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(
                    choices=[("dia", "diagnostic"), ("aod", "aod")], max_length=3
                ),
                default="{dia}",
                size=None,
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="transfertmode",
            name="flow_type",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(
                    choices=[("sur", "Eau surface"), ("sot", "Eau souterrain")],
                    max_length=3,
                ),
                default="{sur}",
                size=None,
            ),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="solutiontype",
            name="methodology",
            field=models.CharField(
                choices=[(1, "Methodology 1"), (2, "Methodology 2")],
                default=1,
                max_length=3,
            ),
            preserve_default=False,
        ),
        migrations.DeleteModel(
            name="Methodology",
        ),
    ]
